Bug 2004484 - The openssl1.1-devel package is not usable on Fedora 33, 34 and 35
Summary: The openssl1.1-devel package is not usable on Fedora 33, 34 and 35
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openssl1.1
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sahana Prasad
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-09-15 12:43 UTC by Miro Hrončok
Modified: 2021-09-30 01:05 UTC (History)
5 users (show)

Fixed In Version: openssl-1.1.1l-2.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-09-20 11:21:47 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2021-09-15 12:43:41 UTC
I'd like to change some of my packages to use openssl1.1-devel.
I'd like to change:

BuildRequires: openssl-devel

To:

BuildRequires: openssl1.1-devel


I'd like to be able to push this change to all Fedora branches.
However, this results in various dependency resolution problems and errors, such as:

DEBUG util.py:444:  Error: 
DEBUG util.py:444:   Problem: problem with installed package openssl-libs-1:1.1.1k-2.fc35.x86_64
DEBUG util.py:444:    - package openssl1.1-1:1.1.1i-3.fc35.x86_64 conflicts with openssl-libs < 1:3.0 provided by openssl-libs-1:1.1.1k-2.fc35.x86_64
DEBUG util.py:444:    - package openssl1.1-devel-1:1.1.1i-3.fc35.x86_64 requires openssl1.1(x86-64) = 1:1.1.1i-3.fc35, but none of the providers can be installed
DEBUG util.py:444:    - conflicting requests

Or:

Error: 
 Problem: package git-core-2.32.0-1.fc35.1.x86_64 requires libcurl.so.4()(64bit), but none of the providers can be installed
  - package libcurl-7.78.0-3.fc35.x86_64 requires openssl-libs(x86-64) >= 1:1.1.1k, but none of the providers can be installed
  - package libcurl-minimal-7.78.0-3.fc35.x86_64 requires openssl-libs(x86-64) >= 1:1.1.1k, but none of the providers can be installed
  - package openssl1.1-1:1.1.1i-3.fc35.x86_64 conflicts with openssl-libs < 1:3.0 provided by openssl-libs-1:1.1.1k-2.fc35.x86_64
  - package openssl1.1-devel-1:1.1.1i-3.fc35.x86_64 requires openssl1.1(x86-64) = 1:1.1.1i-3.fc35, but none of the providers can be installed
  - cannot install the best candidate for the job
  - conflicting requests



I think that having the openssl (1.1) and openssl1.1 (1.1) packages in one Feora version will never work correctly.

I suggest providing and obsoleting openssl1.1 from openssl and stop updapting the openssl1.1 package (on Fedora < 36).

Here is my pull request for Fedora 35: https://src.fedoraproject.org/rpms/openssl/pull-request/18

Comment 1 Fedora Update System 2021-09-17 11:50:21 UTC
FEDORA-2021-50c9be197d has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-50c9be197d

Comment 2 Fedora Update System 2021-09-20 10:36:19 UTC
FEDORA-2021-0ba998eb43 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-0ba998eb43

Comment 3 Fedora Update System 2021-09-20 10:36:20 UTC
FEDORA-2021-31db2a6200 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-31db2a6200

Comment 4 Sahana Prasad 2021-09-20 11:21:47 UTC
Fixed in
openssl-1.1.1l-2.fc35
openssl-1.1.1l-2.fc34
openssl-1.1.1l-2.fc33

Comment 5 Fedora Update System 2021-09-20 13:44:46 UTC
FEDORA-2021-31db2a6200 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-31db2a6200`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-31db2a6200

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-09-20 14:21:57 UTC
FEDORA-2021-0ba998eb43 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-0ba998eb43`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-0ba998eb43

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-09-21 15:32:45 UTC
FEDORA-2021-0ba998eb43 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2021-09-24 20:23:55 UTC
FEDORA-2021-50c9be197d has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2021-09-30 01:05:16 UTC
FEDORA-2021-31db2a6200 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.